﻿using System;

namespace BFR.Operations
{
    public abstract class OperationMode<T> where T : Enum
    {
        public T Index { get; }
        public string Name { get; }
        public string Description { get; }

        protected OperationMode(T index, string name, string description) =>
            (Index, Name, Description) = (index, name, description);
    }
}
